CREATE TABLE [Payments] (
    [ID] int NOT NULL IDENTITY PRIMARY KEY, 
    [Date] datetime, 
    [Sum] money, 
    [AccountName] nvarchar(50), 
    [CompanyName] nvarchar(50), 
    [ItemName] nvarchar(50), 
    [Comment] nvarchar(255)
);
GO

INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20131231',10000,'My Bank',NULL,NULL,'Opening balance');
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140110',200000,'My Bank','Rose, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140110',-50000,'My Bank','Land, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140131',-13000,'My Bank','Income Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140131',-29580,'My Bank','Salary Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140131',-87000,'My Bank',NULL,'Payroll',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',300000,'My Bank','Rose, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',100000,'My Bank','Carnation, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',-50000,'My Bank','Water, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',-100000,'My Bank','Land, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140228',-13000,'My Bank','Income Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140228',-29580,'My Bank','Salary Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140228',-87000,'My Bank',NULL,'Payroll',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140310',300000,'My Bank','Rose, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140310',200000,'My Bank','Carnation, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140310',100000,'My Bank','Cornflower, Corp','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140315',-36000,'My Bank','Corporate Tax','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-26000,'My Bank','Income Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-50000,'My Bank','Water, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-59160,'My Bank','Salary Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-100000,'My Bank','Land, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-174000,'My Bank',NULL,'Payroll',NULL);
GO

-- print Payments table has been created
