@echo off

rem Setting the path to gsqlcmd.exe

set gsqlcmd=gsqlcmd.exe
if exist ..\gsqlcmd\gsqlcmd.exe         set gsqlcmd=..\gsqlcmd\gsqlcmd.exe
if exist ..\..\gsqlcmd\gsqlcmd.exe      set gsqlcmd=..\..\gsqlcmd\gsqlcmd.exe
if exist ..\..\..\gsqlcmd\gsqlcmd.exe   set gsqlcmd=..\..\..\gsqlcmd\gsqlcmd.exe


rem Exporting data into HTML

%gsqlcmd% Payments payments.sql payments.htm /template=payments-template.htm /placeholder={payments} /title=Payments

if errorlevel 1 goto ERROR

%gsqlcmd% Payments payments-top5.sql payments.htm /append /placeholder={top5}

if errorlevel 1 goto ERROR

%gsqlcmd% Payments payments-bottom5.sql payments.htm /append /placeholder={bottom5}

if errorlevel 1 goto ERROR

echo Payments data has been exported into payments.htm
echo.

start payments.htm

goto END

:ERROR

pause

:END
